import path from "node:path";
import { cdn_carro_de_boi } from "~comuns";
import { mapearPasta } from "../src/mapear_pasta";

const pasta_estaticos = path.resolve(process.cwd(), "estaticos");
const pasta_src = path.resolve(process.cwd(), "src");

export const gerar = (async () => {
	mapearPasta({
		prefixos: {
			relativo: "/estaticos",
			"link-local": "http://localhost:5020/estaticos",
			"link-servidor": `${cdn_carro_de_boi}/estaticos`,
			node_modules: "node_modules/~estaticos/estaticos",
		},
		arquivoDestino: path.resolve(pasta_src, "index.ts"),
		pasta: pasta_estaticos,
	});
})();

if (process.argv.includes("gerar")) {
	gerar.then(() => {
		console.log("Arquivo gerado com sucesso");
	});
}
